<?PHP
include($_SERVER['DOCUMENT_ROOT'].'/header.php');

echo <<<HTML
<style>
.inp-val {
    background: none repeat scroll 0 0 #fff;
    border: 0 solid #709846;
    border-radius: 21px;
    box-shadow: 1px 1px 2px 0 rgba(0, 0, 0, 0.5) inset;
    box-sizing: border-box;
    color: rgba(140, 140, 140, 1);
    cursor: pointer;
    font: 14px "Antic",Helvetica,sans-serif;
    height: 30px;
    padding: 0 7px;
    text-align: center;
    transform: scaleX(1) scaleY(1) scaleZ(1);
    transform-origin: 50% 50% 0;
    transition: all 502ms cubic-bezier(0.68, -0.75, 0.265, 1.75) 0s;
    width: 100px;
}
</style>
HTML;
echo "<span class='top-bl-s-verh'>Перевести с основного счёта</span>
<div class='menucenter-top1'>";
echo "<table width='100%'>";
echo "<tr>";
echo "<td width='110px'>";
echo "<b>Введите сумму:</b>";
echo "</td><td>";
echo "<input type='text' id='chn1' value='' size='6' class='inp-val' maxlength='6'><a onclick='add_money();'><span style='color:#5d8aa8; font-weight: bold;cursor:pointer;'> (Перевести всё)</span></a>";
echo "</td>";
echo "</td><td align='right'>";
echo "<a class='button-green' href='javascript:void(0);' onclick='conv_rek();' >Перевести</a>";
echo "</td>";
echo "</tr>";
echo "</table>";
echo "</div>";

echo "<span class='top-bl-s-verh'>Пополнить с кошелька</span>
<div class='menucenter-top1'>";
echo "<table width='100%'>";
echo "<tr>";
echo "<td width='110px'>";
echo "<b>Введите сумму:</b>";
echo "</td><td>";
echo "<input type='text' id='chn2' value='' size='6' class='inp-val' maxlength='6'>";
echo "</td>";
echo "</td><td align='right'>";
echo "<a class='button-green' href='javascript:void(0);' onclick='bask_rek();' >Пополнить</a>";
echo "</td>";
echo "</tr>";
echo "</table>";
echo "</div>";

?>
<script>
var progress = false;
function add_money(){ $('#chn1').val('<?=$money?>') }

function conv_rek(){
if(!progress){
if(confirm('Перевести ?')){
var summ = $.trim($('#chn1').val());
var money = Number('<?=$money?>');
		
if(summ == ''){ QBinfo('Ошибка:','<b>Укажите сумму!</b>',4000,'bottom-right');return false; }
else if(summ < 0.01){ QBinfo('Ошибка:','<b>Минимум 0.01 <?=$sitevalname?>!</b>',4000,'bottom-right');return false; }
else if(money < summ){ QBinfo('Ошибка:','<b>Не достаточно средств!</b>',4000,'bottom-right'); return false; }
else {
$.ajax({
type: "POST",url: "ajax/convert_r.php", data: { 'func' : 'conv_rek', 'summ' : summ },
beforeSend: function(){ progress = true;},      
success: function(data){
if(data == 0){ QBinfo('Поздравляем:','<b>Рекламный счёт успешно пополнен!</b>',4000,'bottom-right');$('#chn1').val('');}
else if(data == 1){ QBinfo('Ошибка:','<b>Минимум 0.01 <?=$sitevalname?>!</b>',4000,'bottom-right');}
else if(data == 2){ QBinfo('Ошибка:','<b>На балансе недостаточно средств!</b>',4000,'bottom-right');}
else { QBinfo('Ошибка:','<b>Ошибка!</b>',4000,'bottom-right');}
progress = false;
}
});
}
}
}
}

function bask_rek(){
if(!progress){
var summ = $.trim($('#chn2').val());
		
if(summ == ''){ QBinfo('Ошибка:','<b>Укажите сумму!</b>',4000,'bottom-right');return false; }
else if(summ < 5){ QBinfo('Ошибка:','<b>Минимум 5 <?=$sitevalname?>!</b>',4000,'bottom-right'); return false; }
else {
$.ajax({
type: "POST",url: "ajax/convert_r.php", data: { 'func' : 'bask_rek', 'summ' : summ },
beforeSend: function(){ progress = true;},       
success: function(data){
if(data == 0){ window.top.location.replace('/cart.html'); }
else if(data == 1){ QBinfo('Ошибка:','<b>Минимум 5 <?=$sitevalname?>!</b>',4000,'bottom-right');}
else {QBinfo('Ошибка:','<b>Ошибка!</b>',4000,'bottom-right');}
progress = false;
}
});
}
}
}
</script>
<?PHP include($_SERVER['DOCUMENT_ROOT'].'/footer.php'); ?>